﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
namespace SlideShow
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        int cnt = 0;
        private void Form1_Load(object sender, EventArgs e)
        {
            folderBrowserDialog1.SelectedPath = Application.StartupPath + "\\images";
            ShowImages();
        }

        private void btn_Browse_Click(object sender, EventArgs e)
        {
            folderBrowserDialog1.ShowDialog();
            ShowImages();
        }
        private void ShowImages()
        {
            try
            {
                listBox1.Items.Clear();
                if (folderBrowserDialog1.SelectedPath != "")
                {
                    textBox1.Text = folderBrowserDialog1.SelectedPath;
                    string[] files = Directory.GetFiles(folderBrowserDialog1.SelectedPath, "*.jpg");
                    listBox1.Items.AddRange(files.ToArray());
                    listBox1.SelectedIndex = 0;
                    listBox1_SelectedIndexChanged(null, null);
                }
            }
            catch(Exception e)
            {
                MessageBox.Show(e.Message);
            }
        }
        private void button1_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

     

        private void Btn_Next_Click(object sender, EventArgs e)
        {
            pictureBox1.Left = 3;
            if (cnt > listBox1.Items.Count) cnt = 0;
            Tmr_Start.Enabled = true;

        }

        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            pictureBox1.Left = 3;
            cnt = listBox1.SelectedIndex;
            pictureBox1.ImageLocation = listBox1.Items[cnt].ToString();
        }

        private void btn_Preview_Click(object sender, EventArgs e)
        {
            pictureBox1.Left = 650;
            cnt--;
            if (cnt < 0) cnt = listBox1.Items.Count - 1;
            pictureBox1.ImageLocation = listBox1.Items[cnt].ToString();
            Tmr_End.Enabled = true;
        }

        private void Tmr_Start_Tick(object sender, EventArgs e)
        {

            pictureBox1.Left += 20;

            if (pictureBox1.Left >= panel1.Width)
            {

                pictureBox1.Left = 3;
                cnt++;
                Tmr_Start.Enabled = false;
                if (cnt > listBox1.Items.Count - 1) cnt = 0;
                pictureBox1.ImageLocation = listBox1.Items[cnt].ToString();
                listBox1.SelectedIndex = cnt;

            }
        }
        private void Tmr_End_Tick(object sender, EventArgs e)
        {
            pictureBox1.Left -= 20;
            if (pictureBox1.Left <= panel1.Left  - 200 )
            {
                pictureBox1.Left = 650;
                Tmr_End.Enabled = false;
                if (cnt < 0) cnt = listBox1.Items.Count - 1;
                listBox1.SelectedIndex = cnt;
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start("http://WWw.SourceCodes.ir");
        }
    }
}
